summaryrefslogtreecommitdiff
path: root/.github/scripts/generate_patch.sh
diff options
context:
space:
mode:
authorAnghelo Carvajal <angheloalf95@gmail.com>2026-07-31 08:13:58 -0400
committerGitHub <noreply@github.com>2026-07-31 08:13:58 -0400
commit5b705b1d7fed3bfc596ea80ee5a9a1ca331ae490 (patch)
tree90f0a9ca78cdb14c4722c4eb97857cd0969fca11 /.github/scripts/generate_patch.sh
parenta6850d214927aafa2635177510a5029ab7e989ea (diff)
Migrate CI to Github Actions (#1884)
Changes the CI system from Jenkins to Github Actions (GHA) like we did for OoT This is an adaptation of the Jenkinsfile we have and the solution made by @Dragorn421 for OoT Relevant OoT PRs: - https://github.com/zeldaret/oot/pull/2740 - https://github.com/zeldaret/oot/pull/2742 - https://github.com/zeldaret/oot/pull/2754 New features include: - Not needing to selfhost a runner - Required private stuff for building is hosted on a private repo - Building multiple versions in parallel - Our old jenkinsfile wasn't building `n64-jp-1.1`. Even if it doesn't match right now, I think it is important checking a PR doesn't completely break it. - Run bss fixer in CI - Upload mapfiles as build artifacts This specific approach to handle GHA for decomp projects was adapted from the one used by the GC/Wii community. It is documented here https://github.com/encounter/dtk-template/blob/main/docs/github_actions.md There's a writeup about this adaptation for N64 projects [here](https://github.com/AngheloAlf/drmario64/pull/19).
Diffstat (limited to '.github/scripts/generate_patch.sh')
-rwxr-xr-x.github/scripts/generate_patch.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.github/scripts/generate_patch.sh b/.github/scripts/generate_patch.sh
new file mode 100755
index 000000000..04cc431b0
--- /dev/null
+++ b/.github/scripts/generate_patch.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+PATCH=$(git diff | base64 -w 0)
+if [ -n "$PATCH" ]; then
+ echo 'Fixes were made for your PR. To apply these changes to your working directory, copy and run the following command:' >> $GITHUB_STEP_SUMMARY
+ echo '```' >> $GITHUB_STEP_SUMMARY
+ echo "echo -n $PATCH | base64 -d | git apply -" >> $GITHUB_STEP_SUMMARY
+ echo '```' >> $GITHUB_STEP_SUMMARY
+fi